zipkin-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [incubator-zipkin] lushan01 opened a new issue #2614: zipkin 2.14.0 can not run on the elasticsearch 7.0.0
Date Fri, 24 May 2019 09:42:59 GMT
lushan01 opened a new issue #2614: zipkin 2.14.0 can not run on the elasticsearch 7.0.0 
URL: https://github.com/apache/incubator-zipkin/issues/2614
 
 
   ## Describe the Bug
   My environment  is zipkin version: 2.14.0, elasticsearch version: 7.0.0
   
   when opening zipkin web, browser prints "ERROR: cannot load span names: server error (Internal
Server Error),   ERROR: cannot load service names: server error (Internal Server Error)",
zipkinā€˜s error log is as follows:
   ```
   2019-05-24 09:04:15.279  WARN 1 --- [king-tasks-1-37] c.l.a.i.a.DefaultExceptionHandler
       : [id: 0x909d4eb0, L:/172.30.23.132:9411 - R:/172.30.23.136:50786][h1c://zipkin-d955589cf-9zlbb:9411/zipkin/api/v2/services#GET]
Unhandled exception from an annotated service:
   
   java.lang.IllegalStateException: over capacity
   	at zipkin2.elasticsearch.internal.client.HttpCall.doExecute(HttpCall.java:79) ~[zipkin-storage-elasticsearch-2.14.0.jar!/:2.14.0]
   	at zipkin2.Call$Base.execute(Call.java:382) ~[zipkin-2.14.0.jar!/:2.14.0]
   	at zipkin2.server.internal.brave.TracedCall.execute(TracedCall.java:40) ~[classes/:?]
   	at zipkin2.server.internal.ZipkinQueryApiV2.getServiceNames(ZipkinQueryApiV2.java:86)
~[classes/:?]
   	at jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:?]
   	at jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
~[?:?]
   	at jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
~[?:?]
   	at java.lang.reflect.Method.invoke(Method.java:566) ~[?:?]
   	at com.linecorp.armeria.internal.annotation.AnnotatedHttpService.invoke(AnnotatedHttpService.java:258)
~[armeria-0.85.0.jar!/:?]
   	at com.linecorp.armeria.internal.annotation.AnnotatedHttpService.lambda$serve0$3(AnnotatedHttpService.java:245)
~[armeria-0.85.0.jar!/:?]
   	at java.util.concurrent.CompletableFuture$UniApply.tryFire(CompletableFuture.java:642)
~[?:?]
   	at java.util.concurrent.CompletableFuture$Completion.run(CompletableFuture.java:478) ~[?:?]
   	at com.linecorp.armeria.common.AbstractRequestContext.lambda$makeContextAware$1(AbstractRequestContext.java:69)
~[armeria-0.85.0.jar!/:?]
   	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) [?:?]
   	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [?:?]
   	at io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
[netty-common-4.1.34.Final.jar!/:4.1.34.Final]
   	at java.lang.Thread.run(Thread.java:834) [?:?]
   ```
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message